Override the name of the Squid Proxy owner to something meaningful
Closed, ResolvedPublic

Description

Currently the/a Squid Proxy box is returning "nobody" as it's owner, this text should be over ridden with something meaning in the configuration. Maybe something like "Wikimedia Foundation".


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_(technical)&oldid=292184696#Your_cache_administrator_is_nobody

bzimport set Reference to bz18903.
Peachey88 created this task.Via LegacyMay 25 2009, 8:11 AM
brion added a comment.Via ConduitMay 26 2009, 10:11 PM

Mark, is this a field that is meant to have an email address or something? Do we have a nice address to target for that, or can we at least put something non-confusing in its place? :D

Peachey88 added a comment.Via ConduitNov 26 2009, 10:18 AM

This email thread on the squid-cache mailing lists seem to show how to do it[1].

  1. http://www.squid-cache.org/mail-archive/squid-users/200005/0891.html
hashar added a comment.Via ConduitMar 16 2013, 8:55 PM

The 'nobody' comes from the value of squid cache_mgr http://www.squid-cache.org/Doc/config/cache_mgr/ . Nowadays we are only use squid for text which are being migrated to Varnish cache.

We will soon no more have any squid running on the cluster. This request will thus not be implemented. Sorry :-]

tstarling added a comment.Via ConduitMay 26 2013, 10:38 AM

It was originally a real email address. I set it to nobody when I rewrote the Squid configuration in 2005, because I did not want to encourage people to send people emails whenever they saw an error message. I would have preferred to remove the message entirely, but Squid did not provide a way to do that; the message is displayed unconditionally.

tstarling added a comment.Via ConduitMay 26 2013, 11:49 AM

Or to put it another way

IN SOVIET WIKIPEDIA, CACHE ADMINISTERS YOU

Peachey88 added a comment.Via ConduitMay 26 2013, 12:41 PM

(In reply to comment #4)

It was originally a real email address. I set it to nobody when I rewrote the
Squid configuration in 2005, because I did not want to encourage people to
send
people emails whenever they saw an error message. I would have preferred to
remove the message entirely, but Squid did not provide a way to do that; the
message is displayed unconditionally.

This was filed back in the day when they were commonish sight (Secure maybe? I dont remember), I don't recall the last time i've actually seen one.

So this bug can probably be closed out if we really wanted, or just put something like the generic noc@ in there.

hashar added a comment.Via ConduitMay 29 2013, 7:19 AM

p858snake : the squid text caches are going to use varnish, so we are not going to fix this :-D

Nemo_bis added a comment.Via ConduitJun 9 2013, 7:47 PM

(In reply to comment #7)

p858snake : the squid text caches are going to use varnish, so we are not
going
to fix this :-D

:) https://gerrit.wikimedia.org/r/#/c/65570/2/templates/varnish/errorpage.inc.vcl.erb

Qgil added a comment.Via ConduitNov 2 2013, 5:44 PM

Really?

I landed here after clicking "nobody" at "Your cache administrator is nobody." in an error page:

Wikimedia Foundation
Error

Our servers are currently experiencing a technical problem... If you would like to help, please donate... Your cache administrator is nobody.

What a joke. :) :/ :?

hashar added a comment.Via ConduitNov 2 2013, 9:10 PM

Quim: that is working as intended :-]

MarkAHershberger added a comment.Via ConduitNov 11 2013, 4:47 PM

(In reply to comment #10)

Quim: that is working as intended :-]

So, we don't want to hear problem reports? I think the intention is wrong.

hashar added a comment.Via ConduitNov 11 2013, 8:26 PM

That is true Mark. We don't want half the planet to spam the mail server with useless reports that would never be read. 101% of the time, we get outages reported by tech savvy volunteers over IRC and wikitech-l.

MarkAHershberger added a comment.Via ConduitNov 11 2013, 8:38 PM

(In reply to comment #12)

That is true Mark. We don't want half the planet to spam the mail server with
useless reports that would never be read. 101% of the time, we get outages
reported by tech savvy volunteers over IRC and wikitech-l.

I understand, but right now this just links to a "WONTFIX" bugzilla ticket.

Wouldn't it be better if the link was something like "report this" and just automatically gathered some information about the problem and then sent them to the status page where these issues are monitored?

(For now, my issue appears to be a real bug that I'll have to report elsewhere.)

tstarling added a comment.Via ConduitNov 11 2013, 10:11 PM

The message in the Varnish error page, with the link to this bug report, is literally a joke. It was added to Varnish by Mark Bergsma as a nostalgic reference to the bug in Squid, which was the original subject of this bug report.

MarkAHershberger added a comment.Via ConduitNov 12 2013, 6:31 PM

(In reply to comment #14)

The message in the Varnish error page, with the link to this bug report, is
literally a joke.

I appreciate that. I think, though, that Quim's response here shows the confusion when this happens. People who click the link ("It says 'nobody', but there is a link here. Maybe they just didn't fill in the name.") aren't going to see the humor since they don't usually use Bugzilla to convey humor.

gerritbot added a comment.Via ConduitNov 13 2013, 12:57 PM

Change 95147 had a related patch set uploaded by Mattflaschen:
Remove "Your cache administrator is nobody" joke.

https://gerrit.wikimedia.org/r/95147

Mattflaschen added a comment.Via ConduitNov 13 2013, 12:59 PM

This is not as funny when you actually get the error, which I just did on POSTing an edit.

bzimport added a comment.Via ConduitNov 14 2013, 7:13 PM

svenmanguard wrote:

Yeah, I'd just remove the line entirely. It serves no purpose.

gerritbot added a comment.Via ConduitDec 2 2013, 2:49 AM

Change 95147 merged by Tim Starling:
Remove "Your cache administrator is nobody" joke.

https://gerrit.wikimedia.org/r/95147

tstarling added a comment.Via ConduitDec 2 2013, 2:54 AM

Merged Matt's joke removal change on the basis of insufficient hilarity. I suggest Mark B. comes up with a funnier joke.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.